<!DOCTYPE html>
<html lang="en">
  <head>
    <meta charset="utf-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1">
   
   <meta name="description" content="FLUBIO - An unstructured, parallel, finite volume Navier-Stokes solver for teaching and research purposes">
    
    <meta name="author" content="Edoardo Alinovi and Joel Guerrero" >
    <link rel="icon" href="../favicon.png">

    <title>rhieChowInterpolation &ndash; FLUBIO</title>

    <link href="../css/bootstrap.min.css" rel="stylesheet">
    <link href="../css/pygments.css" rel="stylesheet">
    <link href="../css/font-awesome.min.css" rel="stylesheet">
    <link href="../css/local.css" rel="stylesheet">
    
    <link  href="../tipuesearch/tipuesearch.css" rel="stylesheet">
    
    

    <!-- HTML5 shim and Respond.js for IE8 support of HTML5 elements and media queries -->
    <!--[if lt IE 9]>
      <script src="https://oss.maxcdn.com/html5shiv/3.7.2/html5shiv.min.js"></script>
      <script src="https://oss.maxcdn.com/respond/1.4.2/respond.min.js"></script>
    <![endif]-->
    
    <script src="../js/jquery-2.1.3.min.js"></script>
    <script src="../js/svg-pan-zoom.min.js"></script>

  </head>

  <body>

    <!-- Fixed navbar -->
    <nav class="navbar navbar-inverse navbar-fixed-top">
      <div class="container">
        <div class="navbar-header">
          <button type="button" class="navbar-toggle collapsed" data-toggle="collapse" data-target="#navbar" aria-expanded="false" aria-controls="navbar">
            <span class="sr-only">Toggle navigation</span>
            <span class="icon-bar"></span>
            <span class="icon-bar"></span>
            <span class="icon-bar"></span>
          </button>
          <a class="navbar-brand" href="../index.html">FLUBIO </a>
        </div>
        <div id="navbar" class="navbar-collapse collapse">
          <ul class="nav navbar-nav">
        
            <li class="dropdown hidden-xs visible-sm visible-md hidden-lg">
              <a href="#" class="dropdown-toggle"
              data-toggle="dropdown" role="button"
              aria-haspopup="true"
     aria-expanded="false">Contents <span class="caret"></span></a>
        <ul class="dropdown-menu">
          
              
            <li><a href="../lists/files.html">Source Files</a></li>
        
        
        
            <li><a href="../lists/modules.html">Modules</a></li>
        
            
                                
            <li><a href="../lists/procedures.html">Procedures</a></li>
        
               
            <li><a href="../lists/types.html">Derived Types</a></li>
        
        
            <li><a href="../lists/programs.html">Programs</a></li>
               
        
        
            </ul>
        
            </li>


<li class="visible-xs hidden-sm visible-lg"><a href="../lists/files.html">Source Files</a></li>



<li class="visible-xs hidden-sm visible-lg"><a href="../lists/modules.html">Modules</a></li>



<li class="visible-xs hidden-sm visible-lg"><a href="../lists/procedures.html">Procedures</a></li>

                             
<li class="visible-xs hidden-sm visible-lg"><a href="../lists/types.html">Derived Types</a></li>


<li class="visible-xs hidden-sm visible-lg"><a href="../lists/programs.html">Programs</a></li>



          </ul>
        
        <form action="../search.html" class="navbar-form navbar-right" role="search">
        <div class="form-group">
          <input type="text" class="form-control" placeholder="Search" name="q" id="tipue_search_input" autocomplete="off" required>
        </div>
<!--
        <button type="submit" class="btn btn-default">Submit</button>
-->
        </form>
        
        </div><!--/.nav-collapse -->
      </div>
    </nav>

    <div class="container">
    
  
  <div class="row">
    <h1>rhieChowInterpolation
      <small>Subroutine</small>
    
    </h1>
    
<div class="row">
  <div class="col-lg-12">
<div class="well well-sm">
  <ul class="list-inline" style="margin-bottom:0px;display:inline">
     
     
     
    <li><i class="fa fa-legal"></i> <a rel="license" href="http://creativecommons.org/licenses/by-nc/4.0/"><img alt="Creative Commons License" style="border-width:0" src="https://i.creativecommons.org/l/by-nc/4.0/80x15.png" /></a></li> 
     
     
     
    
    
     <li><i class="fa fa-list-ol"></i>
       <a data-toggle="tooltip"
    data-placement="bottom" data-html="true"
    title=" 0.2% of total for procedures.">34 statements</a>
     </li> 
     
     
     
    <li><i class="fa fa-code"></i><a href="../src/pressureEq.f03"> Source File</a></li>
     
     
  </ul>
  <ol class="breadcrumb in-well text-right">
  
    
     <li><a href='../sourcefile/pressureeq.f03.html'>pressureEq.f03</a></li>
    
     <li><a href='../module/pressureeq.html'>pressureEq</a></li>
    
  
     <li class="active">rhieChowInterpolation</li>
  </ol>
</div>
</div>
</div>
<script>
  $(function () {
  $('[data-toggle="tooltip"]').tooltip()
  })
</script>

  </div>
  
  <div class="row">
    <div class="col-md-3 hidden-xs hidden-sm visible-md visible-lg">
    
<div id="sidebar">
  
<h3>Contents</h3>
 





















<em>None</em>


</div>

    </div>
    
    <div class="col-md-9" id='text'>
    <h2>
public subroutine rhieChowInterpolation(this)
    
    
   
</h2>
    
  


    
    <p>rhieChowInterpolation compute the mass flow according to the Rhie and Chow formulation.</p>
    

    <h3>Arguments</h3>
    
      
<table class="table table-striped varlist">
<thead><tr><th>Type</th>
<th>Intent</th><th>Optional</th>
<th>Attributes</th><th></th><th>Name</th><th></th></thead>



<tbody>

  
  
  
  
<tr>
  
  <td><span class="anchor" id="variable-this%7E96"></span>class(<a href='../type/pressureeqn.html'>pressureEqn</a>)</td>
  <td></td>
  <td></td>
  
  <td></td><td>::</td>
  <td><strong>this</strong></td><td></td>
  
</tr>

</tbody>
</table>

    
    
    
    <br>
    
    
    <div class="panel panel-default">
      <div class="panel-heading">
  <h3 class="panel-title">Calls</h3>
      </div>
      <div class="panel-body">
  <div class="depgraph"><?xml version="1.0" encoding="UTF-8" standalone="no"?>
<!DOCTYPE svg PUBLIC "-//W3C//DTD SVG 1.1//EN"
 "http://www.w3.org/Graphics/SVG/1.1/DTD/svg11.dtd">
<!-- Generated by graphviz version 2.40.1 (20161225.0304)
 -->
<!-- Title: proc~~rhiechowinterpolation~~CallsGraph Pages: 1 -->
<svg id="procrhiechowinterpolationCallsGraph" width="588pt" height="242pt"
 viewBox="0.00 0.00 588.00 242.00" xmlns="http://www.w3.org/2000/svg" xmlns:xlink="http://www.w3.org/1999/xlink">
<g id="proc~~rhiechowinterpolation~~CallsGraph" class="graph" transform="scale(1 1) rotate(0) translate(4 238)">
<title>proc~~rhiechowinterpolation~~CallsGraph</title>
<polygon fill="#ffffff" stroke="transparent" points="-4,4 -4,-238 584,-238 584,4 -4,4"/>
<!-- proc~rhiechowinterpolation -->
<g id="proc~~rhiechowinterpolation~~CallsGraph_node1" class="node">
<title>proc~rhiechowinterpolation</title>
<polygon fill="none" stroke="#000000" points="117,-97 0,-97 0,-73 117,-73 117,-97"/>
<text text-anchor="middle" x="58.5" y="-82.6" font-family="Helvetica,sans-Serif" font-size="10.50" fill="#000000">rhieChowInterpolation</text>
</g>
<!-- proc~interpolate -->
<g id="proc~~rhiechowinterpolation~~CallsGraph_node2" class="node">
<title>proc~interpolate</title>
<g id="a_proc~~rhiechowinterpolation~~CallsGraph_node2"><a xlink:href=".././proc/interpolate.html" xlink:title="interpolate">
<polygon fill="#d9534f" stroke="#d9534f" points="257.5,-144 194.5,-144 194.5,-120 257.5,-120 257.5,-144"/>
<text text-anchor="middle" x="226" y="-129.6" font-family="Helvetica,sans-Serif" font-size="10.50" fill="#ffffff">interpolate</text>
</a>
</g>
</g>
<!-- proc~rhiechowinterpolation&#45;&gt;proc~interpolate -->
<g id="proc~~rhiechowinterpolation~~CallsGraph_edge1" class="edge">
<title>proc~rhiechowinterpolation&#45;&gt;proc~interpolate</title>
<path fill="none" stroke="#000000" d="M101.6354,-97.1037C127.2216,-104.2831 159.4809,-113.3349 184.732,-120.4203"/>
<polygon fill="#000000" stroke="#000000" points="183.8116,-123.7972 194.3854,-123.129 185.7028,-117.0575 183.8116,-123.7972"/>
</g>
<!-- interpolategradientcorrected -->
<g id="proc~~rhiechowinterpolation~~CallsGraph_node3" class="node">
<title>interpolategradientcorrected</title>
<polygon fill="#777777" stroke="#777777" points="299,-97 153,-97 153,-73 299,-73 299,-97"/>
<text text-anchor="middle" x="226" y="-82.6" font-family="Helvetica,sans-Serif" font-size="10.50" fill="#ffffff">interpolategradientcorrected</text>
</g>
<!-- proc~rhiechowinterpolation&#45;&gt;interpolategradientcorrected -->
<g id="proc~~rhiechowinterpolation~~CallsGraph_edge2" class="edge">
<title>proc~rhiechowinterpolation&#45;&gt;interpolategradientcorrected</title>
<path fill="none" stroke="#000000" d="M117.0834,-85C125.3558,-85 133.9894,-85 142.6178,-85"/>
<polygon fill="#000000" stroke="#000000" points="142.7225,-88.5001 152.7224,-85 142.7224,-81.5001 142.7225,-88.5001"/>
</g>
<!-- proc~underrelaxationcorrection -->
<g id="proc~~rhiechowinterpolation~~CallsGraph_node4" class="node">
<title>proc~underrelaxationcorrection</title>
<g id="a_proc~~rhiechowinterpolation~~CallsGraph_node4"><a xlink:href=".././proc/underrelaxationcorrection.html" xlink:title="underRelaxationCorrection">
<polygon fill="#d94e8f" stroke="#d94e8f" points="295.5,-45 156.5,-45 156.5,-21 295.5,-21 295.5,-45"/>
<text text-anchor="middle" x="226" y="-30.6" font-family="Helvetica,sans-Serif" font-size="10.50" fill="#ffffff">underRelaxationCorrection</text>
</a>
</g>
</g>
<!-- proc~rhiechowinterpolation&#45;&gt;proc~underrelaxationcorrection -->
<g id="proc~~rhiechowinterpolation~~CallsGraph_edge3" class="edge">
<title>proc~rhiechowinterpolation&#45;&gt;proc~underrelaxationcorrection</title>
<path fill="none" stroke="#000000" d="M97.3489,-72.9395C121.1525,-65.5497 151.8267,-56.0269 177.2525,-48.1335"/>
<polygon fill="#000000" stroke="#000000" points="178.5594,-51.3927 187.072,-45.0851 176.4839,-44.7074 178.5594,-51.3927"/>
</g>
<!-- harmonicinterpolation -->
<g id="proc~~rhiechowinterpolation~~CallsGraph_node5" class="node">
<title>harmonicinterpolation</title>
<polygon fill="#777777" stroke="#777777" points="468,-234 353,-234 353,-210 468,-210 468,-234"/>
<text text-anchor="middle" x="410.5" y="-219.6" font-family="Helvetica,sans-Serif" font-size="10.50" fill="#ffffff">harmonicinterpolation</text>
</g>
<!-- proc~interpolate&#45;&gt;harmonicinterpolation -->
<g id="proc~~rhiechowinterpolation~~CallsGraph_edge4" class="edge">
<title>proc~interpolate&#45;&gt;harmonicinterpolation</title>
<path fill="none" stroke="#000000" d="M241.7763,-144.0982C262.2588,-159.2944 299.5871,-185.2781 335,-201 339.698,-203.0857 344.6538,-205.0132 349.689,-206.7838"/>
<polygon fill="#000000" stroke="#000000" points="348.8296,-210.1858 359.4227,-209.9955 351.023,-203.5383 348.8296,-210.1858"/>
</g>
<!-- gradientbasedinterpolation -->
<g id="proc~~rhiechowinterpolation~~CallsGraph_node6" class="node">
<title>gradientbasedinterpolation</title>
<polygon fill="#777777" stroke="#777777" points="480,-192 341,-192 341,-168 480,-168 480,-192"/>
<text text-anchor="middle" x="410.5" y="-177.6" font-family="Helvetica,sans-Serif" font-size="10.50" fill="#ffffff">gradientbasedinterpolation</text>
</g>
<!-- proc~interpolate&#45;&gt;gradientbasedinterpolation -->
<g id="proc~~rhiechowinterpolation~~CallsGraph_edge5" class="edge">
<title>proc~interpolate&#45;&gt;gradientbasedinterpolation</title>
<path fill="none" stroke="#000000" d="M257.7167,-140.2515C284.2127,-147.1448 322.6369,-157.1413 354.3222,-165.3846"/>
<polygon fill="#000000" stroke="#000000" points="353.7901,-168.8626 364.3492,-167.9933 355.5526,-162.0881 353.7901,-168.8626"/>
</g>
<!-- tvdinterpolation -->
<g id="proc~~rhiechowinterpolation~~CallsGraph_node8" class="node">
<title>tvdinterpolation</title>
<polygon fill="#777777" stroke="#777777" points="453,-150 368,-150 368,-126 453,-126 453,-150"/>
<text text-anchor="middle" x="410.5" y="-135.6" font-family="Helvetica,sans-Serif" font-size="10.50" fill="#ffffff">tvdinterpolation</text>
</g>
<!-- proc~interpolate&#45;&gt;tvdinterpolation -->
<g id="proc~~rhiechowinterpolation~~CallsGraph_edge6" class="edge">
<title>proc~interpolate&#45;&gt;tvdinterpolation</title>
<path fill="none" stroke="#000000" d="M257.7167,-133.0314C285.1423,-133.9233 325.348,-135.2308 357.6318,-136.2807"/>
<polygon fill="#000000" stroke="#000000" points="357.7004,-139.7847 367.8089,-136.6117 357.928,-132.7884 357.7004,-139.7847"/>
</g>
<!-- interpolateelementtofacestd -->
<g id="proc~~rhiechowinterpolation~~CallsGraph_node9" class="node">
<title>interpolateelementtofacestd</title>
<polygon fill="#777777" stroke="#777777" points="483,-108 338,-108 338,-84 483,-84 483,-108"/>
<text text-anchor="middle" x="410.5" y="-93.6" font-family="Helvetica,sans-Serif" font-size="10.50" fill="#ffffff">interpolateelementtofacestd</text>
</g>
<!-- proc~interpolate&#45;&gt;interpolateelementtofacestd -->
<g id="proc~~rhiechowinterpolation~~CallsGraph_edge7" class="edge">
<title>proc~interpolate&#45;&gt;interpolateelementtofacestd</title>
<path fill="none" stroke="#000000" d="M257.7167,-125.8114C279.9228,-121.4785 310.5075,-115.5107 338.4815,-110.0524"/>
<polygon fill="#000000" stroke="#000000" points="339.5046,-113.4188 348.6492,-108.0684 338.164,-106.5484 339.5046,-113.4188"/>
</g>
<!-- proc~printinterpolationmethodslist -->
<g id="proc~~rhiechowinterpolation~~CallsGraph_node10" class="node">
<title>proc~printinterpolationmethodslist</title>
<g id="a_proc~~rhiechowinterpolation~~CallsGraph_node10"><a xlink:href=".././proc/printinterpolationmethodslist.html" xlink:title="printInterpolationMethodsList">
<polygon fill="#d9534f" stroke="#d9534f" points="486,-66 335,-66 335,-42 486,-42 486,-66"/>
<text text-anchor="middle" x="410.5" y="-51.6" font-family="Helvetica,sans-Serif" font-size="10.50" fill="#ffffff">printInterpolationMethodsList</text>
</a>
</g>
</g>
<!-- proc~interpolate&#45;&gt;proc~printinterpolationmethodslist -->
<g id="proc~~rhiechowinterpolation~~CallsGraph_edge8" class="edge">
<title>proc~interpolate&#45;&gt;proc~printinterpolationmethodslist</title>
<path fill="none" stroke="#000000" d="M257.6641,-123.5327C270.9283,-119.2832 286.2056,-113.437 299,-106 317.2547,-95.3891 316.3808,-84.9576 335,-75 338.543,-73.1052 342.2732,-71.3682 346.1003,-69.7776"/>
<polygon fill="#000000" stroke="#000000" points="347.6491,-72.9337 355.7618,-66.1194 345.1704,-66.3873 347.6491,-72.9337"/>
</g>
<!-- interpolateelementtoface -->
<g id="proc~~rhiechowinterpolation~~CallsGraph_node7" class="node">
<title>interpolateelementtoface</title>
<polygon fill="#777777" stroke="#777777" points="475.5,-24 345.5,-24 345.5,0 475.5,0 475.5,-24"/>
<text text-anchor="middle" x="410.5" y="-9.6" font-family="Helvetica,sans-Serif" font-size="10.50" fill="#ffffff">interpolateelementtoface</text>
</g>
<!-- proc~underrelaxationcorrection&#45;&gt;interpolateelementtoface -->
<g id="proc~~rhiechowinterpolation~~CallsGraph_edge9" class="edge">
<title>proc~underrelaxationcorrection&#45;&gt;interpolateelementtoface</title>
<path fill="none" stroke="#000000" d="M295.7515,-25.0608C308.5542,-23.6036 321.9726,-22.0763 334.9363,-20.6008"/>
<polygon fill="#000000" stroke="#000000" points="335.6749,-24.0394 345.2149,-19.4308 334.8832,-17.0843 335.6749,-24.0394"/>
</g>
<!-- flubiostop -->
<g id="proc~~rhiechowinterpolation~~CallsGraph_node11" class="node">
<title>flubiostop</title>
<polygon fill="#777777" stroke="#777777" points="580,-66 522,-66 522,-42 580,-42 580,-66"/>
<text text-anchor="middle" x="551" y="-51.6" font-family="Helvetica,sans-Serif" font-size="10.50" fill="#ffffff">flubiostop</text>
</g>
<!-- proc~printinterpolationmethodslist&#45;&gt;flubiostop -->
<g id="proc~~rhiechowinterpolation~~CallsGraph_edge10" class="edge">
<title>proc~printinterpolationmethodslist&#45;&gt;flubiostop</title>
<path fill="none" stroke="#000000" d="M486.0965,-54C494.9482,-54 503.686,-54 511.7435,-54"/>
<polygon fill="#000000" stroke="#000000" points="511.8963,-57.5001 521.8963,-54 511.8963,-50.5001 511.8963,-57.5001"/>
</g>
</g>
</svg>
</div><div><a type="button" class="graph-help" data-toggle="modal" href="#graph-help-text">Help</a></div><div class="modal fade" id="graph-help-text" tabindex="-1" role="dialog"><div class="modal-dialog modal-lg" role="document"><div class="modal-content"><div class="modal-header"><button type="button" class="close" data-dismiss="modal" aria-label="Close"><span aria-hidden="true">&times;</span></button><h4 class="modal-title" id="-graph-help-label">Graph Key</h4></div><div class="modal-body">
    <p>Nodes of different colours represent the following: </p>
    <?xml version="1.0" encoding="UTF-8" standalone="no"?>
<!DOCTYPE svg PUBLIC "-//W3C//DTD SVG 1.1//EN"
 "http://www.w3.org/Graphics/SVG/1.1/DTD/svg11.dtd">
<!-- Generated by graphviz version 2.40.1 (20161225.0304)
 -->
<!-- Title: Graph Key Pages: 1 -->
<svg width="558pt" height="32pt"
 viewBox="0.00 0.00 557.50 32.00" xmlns="http://www.w3.org/2000/svg" xmlns:xlink="http://www.w3.org/1999/xlink">
<g id="graph0" class="graph" transform="scale(1 1) rotate(0) translate(4 28)">
<title>Graph Key</title>
<polygon fill="#ffffff" stroke="transparent" points="-4,4 -4,-28 553.5,-28 553.5,4 -4,4"/>
<!-- Subroutine -->
<g id="node1" class="node">
<title>Subroutine</title>
<polygon fill="#d9534f" stroke="#d9534f" points="64,-24 0,-24 0,0 64,0 64,-24"/>
<text text-anchor="middle" x="32" y="-9.6" font-family="Helvetica,sans-Serif" font-size="10.50" fill="#ffffff">Subroutine</text>
</g>
<!-- Function -->
<g id="node2" class="node">
<title>Function</title>
<polygon fill="#d94e8f" stroke="#d94e8f" points="136,-24 82,-24 82,0 136,0 136,-24"/>
<text text-anchor="middle" x="109" y="-9.6" font-family="Helvetica,sans-Serif" font-size="10.50" fill="#ffffff">Function</text>
</g>
<!-- Interface -->
<g id="node3" class="node">
<title>Interface</title>
<polygon fill="#a7506f" stroke="#a7506f" points="209.5,-24 154.5,-24 154.5,0 209.5,0 209.5,-24"/>
<text text-anchor="middle" x="182" y="-9.6" font-family="Helvetica,sans-Serif" font-size="10.50" fill="#ffffff">Interface</text>
</g>
<!-- Unknown Procedure Type -->
<g id="node4" class="node">
<title>Unknown Procedure Type</title>
<polygon fill="#777777" stroke="#777777" points="362,-24 228,-24 228,0 362,0 362,-24"/>
<text text-anchor="middle" x="295" y="-9.6" font-family="Helvetica,sans-Serif" font-size="10.50" fill="#ffffff">Unknown Procedure Type</text>
</g>
<!-- Program -->
<g id="node5" class="node">
<title>Program</title>
<polygon fill="#f0ad4e" stroke="#f0ad4e" points="434,-24 380,-24 380,0 434,0 434,-24"/>
<text text-anchor="middle" x="407" y="-9.6" font-family="Helvetica,sans-Serif" font-size="10.50" fill="#ffffff">Program</text>
</g>
<!-- This Page&#39;s Entity -->
<g id="node6" class="node">
<title>This Page&#39;s Entity</title>
<polygon fill="none" stroke="#000000" points="549.5,-24 452.5,-24 452.5,0 549.5,0 549.5,-24"/>
<text text-anchor="middle" x="501" y="-9.6" font-family="Helvetica,sans-Serif" font-size="10.50" fill="#000000">This Page&#39;s Entity</text>
</g>
</g>
</svg>

    
    <p>Solid arrows point from a procedure to one which it calls. Dashed 
    arrows point from an interface to procedures which implement that interface.
    This could include the module procedures in a generic interface or the
    implementation in a submodule of an interface in a parent module.
    </p>
    </div></div></div></div>
      </div>
    </div>
     
     
    <br>

    <section class="visible-xs visible-sm hidden-md">
      
<h3>Contents</h3>
 





















<em>None</em>


    </section>
    <br class="visible-xs visible-sm hidden-md">

    

    
    
    
    
    

    
    
    
    
    


    
    
    
    
    </div>
  </div>


    <hr>    
    </div> <!-- /container -->
    <footer>
      <div class="container">
      <div class="row">
        <div class="col-xs-6 col-md-6"><p>FLUBIO was developed by Edoardo Alinovi and Joel Guerrero<br>&copy; 2021 <a rel="license" href="http://creativecommons.org/licenses/by-nc/4.0/"><img alt="Creative Commons License" style="border-width:0" src="https://i.creativecommons.org/l/by-nc/4.0/80x15.png" /></a>
                                          </p>
        </div>
        <div class="col-xs-6 col-md-6">
          <p class="text-right">
            Documentation generated by 
            <a href="https://github.com/Fortran-FOSS-Programmers/ford">FORD</a>
            
            
          </p>
        </div>
      </div>
      <br>
      </div> <!-- /container -->    
    </footer>

    <!-- Bootstrap core JavaScript
    ================================================== -->
    <!-- Placed at the end of the document so the pages load faster -->
<!--
    <script src="https://ajax.googleapis.com/ajax/libs/jquery/1.11.1/jquery.min.js"></script>
-->
    <script src="../js/bootstrap.min.js"></script>
    <!-- IE10 viewport hack for Surface/desktop Windows 8 bug -->
    <script src="../js/ie10-viewport-bug-workaround.js"></script>

    <!-- MathJax JavaScript
    ================================================== -->
    <!-- Placed at the end of the document so the pages load faster -->
    <script type="text/x-mathjax-config">
      MathJax.Hub.Config({
        TeX: { extensions: ['AMSmath.js','AMSsymbols.js','noErrors.js','noUndefined.js'], equationNumbers: { autoNumber: 'AMS' } },
        jax: ['input/TeX','input/MathML','output/HTML-CSS'],
        extensions: ['tex2jax.js','mml2jax.js','MathMenu.js','MathZoom.js']
      });
    </script>
    
    <script src="https://cdnjs.cloudflare.com/ajax/libs/mathjax/2.7.1/MathJax.js?config=TeX-AMS-MML_HTMLorMML"></script>
    
    
    <script src="../tipuesearch/tipuesearch_content.js"></script>
    <script src="../tipuesearch/tipuesearch_set.js"></script>
    <script src="../tipuesearch/tipuesearch.js"></script>
    
    
  </body>
</html>